Opened 4 months ago

Last modified 41 hours ago

#30350 needs_information defect

Hello, in China, currently, Tor Browser 8.5a11 version can't connect to Tor network through Snowflake bridge.

Reported by: amiableclarity2011 Owned by: cohosh
Priority: Medium Milestone:
Component: Circumvention/Snowflake Version:
Severity: Normal Keywords:
Cc: dcf, arlolra, cohosh, phw, mcs, gk Actual Points:
Parent ID: #31282 Points:
Reviewer: Sponsor: Sponsor30-can

Description (last modified by dcf)

Hello, in China, currently, Tor Browser 8.5a11 version can't connect to Tor network through Snowflake bridge. On this April 17th, in China, Tor Browser 8.5a11 version can connect to Tor network through Snowflake bridge. But currently, in China, Tor Browser 8.5a11 version can't connect to Tor network through Snowflake bridge. Does China's firewall block all of the Snowflake bridges? " Tor failed to establish a Tor network connection. Connected to a Tor relay failed. (done - 0.0.3.0:1) " is showed in connection interface.

Below is Tor log messages.

5/1/19, 05:10:31.667 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections. 
5/1/19, 05:10:37.818 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections. 
5/1/19, 05:10:37.818 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections. 
5/1/19, 05:10:37.818 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections. 
5/1/19, 05:10:37.818 [NOTICE] Opening Socks listener on 127.0.0.1:9150 
5/1/19, 05:10:37.818 [NOTICE] Opened Socks listener on 127.0.0.1:9150 
5/1/19, 05:10:38.802 [NOTICE] Bootstrapped 1% (conn_pt): Connecting to pluggable transport 
5/1/19, 05:10:38.803 [NOTICE] Bootstrapped 2% (conn_done_pt): Connected to pluggable transport 
5/1/19, 05:11:21.559 [NOTICE] Bootstrapped 10% (conn_done): Connected to a relay 
5/1/19, 05:11:51.686 [WARN] Problem bootstrapping. Stuck at 10% (conn_done): Connected to a relay. (DONE; DONE; count 1; recommendation warn; host 2B280B23E1107BB62ABFC40DDCC8824814F80A72 at 0.0.3.0:1) 
5/1/19, 05:11:51.687 [WARN] 1 connections have failed: 
5/1/19, 05:11:51.687 [WARN]  1 connections died in state handshaking (TLS) with SSL state SSLv2/v3 read server hello A in HANDSHAKE 
5/1/19, 05:11:51.702 [NOTICE] Closing no-longer-configured Socks listener on 127.0.0.1:9150 
5/1/19, 05:11:51.702 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections. 
5/1/19, 05:11:51.702 [WARN] Pluggable Transport process terminated with status code 0 

Could you please solve this problem? Thank you very much for your help. I really appreciate it.

Child Tickets

Attachments (6)

torrc-defaults (1.1 KB) - added by amiableclarity2011 3 months ago.
torrc (629 bytes) - added by amiableclarity2011 3 months ago.
state (404 bytes) - added by amiableclarity2011 3 months ago.
torrc-defaults.2 (1.1 KB) - added by amiableclarity2011 41 hours ago.
torrc.2 (629 bytes) - added by amiableclarity2011 41 hours ago.
state.2 (4.3 KB) - added by amiableclarity2011 41 hours ago.

Download all attachments as: .zip

Change History (41)

comment:1 Changed 4 months ago by cohosh

Owner: set to cohosh
Status: newaccepted

comment:2 Changed 4 months ago by cohosh

Looks like there's definitely some blocking happening, but it wouldn't be happening at the bridge. Either it's happening between the client and the broker or connections to snowflakes are failing. I'll see if I can track down what's happening with our VPS. Some observations:

  • We don't log at the client by default, we might want to consider adding some extra logging messages for snowflake (perhaps using the new LOG feature in the pt-spec?) so that we can pin down how far the client gets in the rendezvous before the connection fails
  • Doesn't like we're using uTLS or something similar to prevent fingerprinting in snowflake, this is a possible cause of blocking
  • We only really have 4 proxies running usually, all from the same machine. These might be blocked
  • Maybe the front domain for the broker is being blocked.
Last edited 4 months ago by cohosh (previous) (diff)

comment:3 Changed 4 months ago by cohosh

Reproduced the same error messages as above. Here is the snowflake log:

 --- Starting Snowflake Client ---
2019/05/01 [scrubbed] Rendezvous using Broker at: https://snowflake-broker.azureedge.net/
2019/05/01 [scrubbed] Domain fronting using: ajax.aspnetcdn.com
2019/05/01 [scrubbed] WebRTC: Collecting a new Snowflake. Currently at [0/3]
2019/05/01 [scrubbed] snowflake-6DBRIeDzTRSQAX8e  connecting...
2019/05/01 [scrubbed] Started SOCKS listener.
2019/05/01 [scrubbed] SOCKS listening...
2019/05/01 [scrubbed] WebRTC: PeerConnection created.
2019/05/01 [scrubbed] WebRTC: OnNegotiationNeeded
2019/05/01 [scrubbed] candidate:3179257411 1 udp 2122260223 [scrubbed] 34616 typ host generation 0 ufrag aHT/ network-id 1 network-cost 50
2019/05/01 [scrubbed] WebRTC: DataChannel created.
2019/05/01 [scrubbed] candidate:4093403827 1 tcp 1518280447 [scrubbed] 34327 typ host tcptype passive generation 0 ufrag aHT/ network-id 1 network-cost 50
2019/05/01 [scrubbed] SOCKS accepted:  {[scrubbed]   map[]}
2019/05/01 [scrubbed] WebRTC: OnIceComplete
2019/05/01 [scrubbed] Negotiating via BrokerChannel...
Target URL:  snowflake-broker.azureedge.net 
Front URL:   ajax.aspnetcdn.com
2019/05/01 [scrubbed] BrokerChannel Response:
200 OK

2019/05/01 [scrubbed] Received Answer.
2019/05/01 [scrubbed] ---- Handler: snowflake assigned ----
2019/05/01 [scrubbed] Buffered 179 bytes --> WebRTC
2019/05/01 [scrubbed] Traffic Bytes (in|out): 0 | 179 -- (0 OnMessages, 1 Sends)
2019/05/01 [scrubbed] WebRTC: Collecting a new Snowflake. Currently at [1/3]
2019/05/01 [scrubbed] snowflake-ZfQsJ6ktC81llUao  connecting...
2019/05/01 [scrubbed] WebRTC: PeerConnection created.
2019/05/01 [scrubbed] WebRTC: OnNegotiationNeeded
2019/05/01 [scrubbed] WebRTC: DataChannel created.
2019/05/01 [scrubbed] candidate:3179257411 1 udp 2122260223 [scrubbed] 57118 typ host generation 0 ufrag nBCk network-id 1 network-cost 50
2019/05/01 [scrubbed] candidate:4093403827 1 tcp 1518280447 [scrubbed] 59751 typ host tcptype passive generation 0 ufrag nBCk network-id 1 network-cost 50
2019/05/01 [scrubbed] WebRTC: No messages received for 30 seconds -- closing stale connection.
2019/05/01 [scrubbed] WebRTC: closing PeerConnection
2019/05/01 [scrubbed] WebRTC: DataChannel.OnClose [locally]
2019/05/01 [scrubbed] WebRTC: Closing
2019/05/01 [scrubbed] copy loop ended
2019/05/01 [scrubbed] ---- Handler: closed ---
2019/05/01 [scrubbed] SOCKS listening...

So the rendezvous was successful but the connection to the snowflake proxy is failing... I'm going to go with all of our snowflake proxies are being blocked.

This brings to mind that not only do we need more snowflake proxies, we should probably keep track of where certain proxies have been blocked so we don't give these out to clients if there are non-blocked proxies they can use. Otherwise the user experience will be terrible.

comment:4 Changed 4 months ago by mcs

Cc: mcs added

comment:5 Changed 4 months ago by cohosh

Okay I did a tcpdump capture on the the VPS in China and at the snowflake bridge (which is where all of our current proxy-go instances are being run.

At the client side, the rendezvous is successful and then followed by a series of repeated STUN messages to the snowflake proxy with Binding Request user: [XXXX:YYYY]

The snowflake proxy receives these requests from the 152.X.X.X address of the VPS. The snowflake proxy also sends a Binding Request user: [YYYY:XXXX] message to the 10.X.X.X address of the VPS subnet. There are no Binding Success Response messages from either side.

Last edited 4 months ago by cohosh (previous) (diff)

comment:6 Changed 4 months ago by cohosh

I started running a new proxy-go instance on a different server. It took me a few tries in order to get it as a snowflake from the VPS, but when I eventually did, the connection was successful.

I'm going to say that this a proxy blocking problem and what we need is:

  1. New, unblocked proxies
  2. Something better on the client side than the 30 second timeout to figure out that the connection has been blocked we need a different proxy (I'll add these notes to #25429).
  3. Some way at the broker to hand out proxies in a smarter way so that we aren't repeatedly giving clients snowflakes that are blocked in their region

comment:7 Changed 4 months ago by gk

Cc: gk added

#30353 and #30354 are duplicates.

comment:8 in reply to:  6 ; Changed 4 months ago by dcf

Description: modified (diff)

Replying to cohosh:

I started running a new proxy-go instance on a different server. It took me a few tries in order to get it as a snowflake from the VPS, but when I eventually did, the connection was successful.

I'm going to say that this a proxy blocking problem and what we need is:

  1. New, unblocked proxies
  2. Something better on the client side than the 30 second timeout to figure out that the connection has been blocked we need a different proxy (I'll add these notes to #25429).
  3. Some way at the broker to hand out proxies in a smarter way so that we aren't repeatedly giving clients snowflakes that are blocked in their region

Thanks for running these tests so quickly.

Blocking the single IP address of the current fallback proxies is what I would have expected to happen first, and it looks like that's what happened in this case. Anyway, a blocking reaction by the GFW is a milestone for us. (It took at least 19 months of the proxies running at a static IP for even this small blocking event to happen.) I honestly thought that Snowflake didn't work in China anyway because of our use of a Google STUN server, but I guess I was wrong.

I'm not sure item 3, tracking where proxies are blocked, is necessarily a priority. Round-the-clock proxy-go was never meant to be a permanent thing, only a stopgap until we have actual organic proxies (#20813). The idea is that eventually we don't rely on long-lived proxies running at static IP addresses, because if we do that we're playing the bridge distribution game, and doing it worse than BridgeDB does. IMO the browser extension (#23888) is the priority for getting actually diverse snowflakes.

comment:9 Changed 4 months ago by dcf

Priority: ImmediateMedium

comment:10 in reply to:  8 ; Changed 4 months ago by cohosh

I'm not sure item 3, tracking where proxies are blocked, is necessarily a priority. Round-the-clock proxy-go was never meant to be a permanent thing, only a stopgap until we have actual organic proxies (#20813). The idea is that eventually we don't rely on long-lived proxies running at static IP addresses, because if we do that we're playing the bridge distribution game, and doing it worse than BridgeDB does. IMO the browser extension (#23888) is the priority for getting actually diverse snowflakes.

This makes sense to me, I think we do need to do something about item 2 as well though. I wasn't able to test the behaviour of tor browser at the VPS but just the Tor client was having trouble quickly deciding whether or not the proxy was being blocked. I suppose this won't be as big an issues when we have more diverse proxies though.

comment:11 in reply to:  10 Changed 4 months ago by dcf

Replying to cohosh:

This makes sense to me, I think we do need to do something about item 2 as well though. I wasn't able to test the behaviour of tor browser at the VPS but just the Tor client was having trouble quickly deciding whether or not the proxy was being blocked. I suppose this won't be as big an issues when we have more diverse proxies though.

No disagreement there. Snowflake can do better about detecting a lack of connectivity. Actually it's kind of a general thing that affects more than just Snowflake. See #24640 for meek for example. The PT interface was designed with a mindset of obfs4-like transport that make a single TCP connection to a single bridge and always have a well-defined connectedness state--it doesn't map perfectly onto transports that don't work like that. I think there are bugs on the tor side as well--see comment:3:ticket:26891 where deleting a state file made the connection start working, which looks like #11301 even though that is supposed to be fixed.

Version 0, edited 4 months ago by dcf (next)

comment:12 Changed 4 months ago by amiableclarity2011

This evening, my connection to Tor network through Snowflake bridge was terminated within 40 minutes. Obviously China's firewall can recognize the characteristic of the traffic which flows to Snowflake proxies and automatically block the Snowflake proxies that I use.

Below are tor log messages.

5/3/19, 15:11:46.680 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/3/19, 15:11:46.680 [NOTICE] Opening Socks listener on 127.0.0.1:9150
5/3/19, 15:11:46.680 [NOTICE] Opened Socks listener on 127.0.0.1:9150
5/3/19, 15:11:47.470 [NOTICE] Bootstrapped 1% (conn_pt): Connecting to pluggable transport
5/3/19, 15:11:47.470 [NOTICE] Bootstrapped 2% (conn_done_pt): Connected to pluggable transport
5/3/19, 15:12:27.500 [NOTICE] Bootstrapped 10% (conn_done): Connected to a relay
5/3/19, 15:12:57.116 [WARN] Problem bootstrapping. Stuck at 10% (conn_done): Connected to a relay. (DONE; DONE; count 1; recommendation warn; host 2B280B23E1107BB62ABFC40DDCC8824814F80A72 at 0.0.3.0:1)
5/3/19, 15:12:57.116 [WARN] 1 connections have failed:
5/3/19, 15:12:57.116 [WARN] 1 connections died in state handshaking (TLS) with SSL state SSLv2/v3 read server hello A in HANDSHAKE
5/3/19, 15:12:57.140 [NOTICE] Closing no-longer-configured Socks listener on 127.0.0.1:9150
5/3/19, 15:12:57.140 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/3/19, 15:12:57.141 [NOTICE] Delaying directory fetches: DisableNetwork is set.
5/3/19, 15:12:57.141 [WARN] Pluggable Transport process terminated with status code 0

Could you please solve this problem? Thank you very much for your help. I really appreciate it.

comment:13 in reply to:  12 ; Changed 4 months ago by dcf

Replying to amiableclarity2011:

This evening, my connection to Tor network through Snowflake bridge was terminated within 40 minutes.

Do you mean that it was working for 40 minutes, then it stopped working?

What if you try again, does it work sometimes?

Obviously China's firewall can recognize the characteristic of the traffic which flows to Snowflake proxies and automatically block the Snowflake proxies that I use.

Not necessarily. Another explanation is the the firewall has only blocked the IP address of one of the proxies. When you use Snowflake, you are assigned one of the available proxies randomly. As you browse, your proxy might change. It may be, that after 40 minutes you were assigned the proxy whose IP address is blocked.

We are working on changes to reduce the problem of being assigned a blocked proxy: #20813, #25723.

comment:14 in reply to:  13 Changed 4 months ago by cohosh

Replying to dcf:

Replying to amiableclarity2011:

Obviously China's firewall can recognize the characteristic of the traffic which flows to Snowflake proxies and automatically block the Snowflake proxies that I use.

Not necessarily. Another explanation is the the firewall has only blocked the IP address of one of the proxies. When you use Snowflake, you are assigned one of the available proxies randomly. As you browse, your proxy might change. It may be, that after 40 minutes you were assigned the proxy whose IP address is blocked.

We are working on changes to reduce the problem of being assigned a blocked proxy: #20813, #25723.

We're also doing some probe tests of snowflake proxies from China here: #30368

So far it looks like there are still unblocked snowflake proxies, but I'll post results once we have more data points.

Also, fwiw, 40 minutes is a long time to go without having gotten a blocked proxy. My guess is that you were randomly assigned a different proxy that happened to be blocked due to #25429 at the end of that time.

comment:15 Changed 4 months ago by amiableclarity2011

Yesterday evening, at first, I can connect to Tor network through Snowflake bridge. But after about 40 minutes, I can't open any webpage in Tor Browser. Currently, I can't connect to Tor network through Snowflake bridge. " Tor failed to establish a Tor network connection. Connected to a Tor relay failed. (done - 0.0.3.0:1) " is showed in the connection interface.

comment:16 Changed 4 months ago by amiableclarity2011

Hello, currently, in China, I can't connect to Tor network through Snowflake bridge.
Below are Tor log messages.

5/7/19, 05:27:29.138 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/7/19, 05:28:00.158 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/7/19, 05:28:00.158 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/7/19, 05:28:00.158 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/7/19, 05:28:00.158 [NOTICE] Opening Socks listener on 127.0.0.1:9150
5/7/19, 05:28:00.158 [NOTICE] Opened Socks listener on 127.0.0.1:9150
5/7/19, 05:28:01.150 [NOTICE] Bootstrapped 1% (conn_pt): Connecting to pluggable transport
5/7/19, 05:28:01.152 [NOTICE] Bootstrapped 2% (conn_done_pt): Connected to pluggable transport
5/7/19, 05:28:03.957 [NOTICE] Bootstrapped 10% (conn_done): Connected to a relay
5/7/19, 05:28:05.828 [NOTICE] Bootstrapped 14% (handshake): Handshaking with a relay
5/7/19, 05:28:06.182 [NOTICE] Bootstrapped 15% (handshake_done): Handshake with a relay done
5/7/19, 05:28:06.184 [NOTICE] Bootstrapped 20% (onehop_create): Establishing an encrypted directory connection
5/7/19, 05:28:06.537 [NOTICE] Bootstrapped 25% (requesting_status): Asking for networkstatus consensus
5/7/19, 05:28:06.901 [NOTICE] new bridge descriptor 'flakey' (fresh): $2B280B23E1107BB62ABFC40DDCC8824814F80A72~flakey at 0.0.3.0
5/7/19, 05:28:07.584 [NOTICE] Bootstrapped 30% (loading_status): Loading networkstatus consensus
5/7/19, 05:28:13.370 [NOTICE] Bootstrapped 75% (enough_dirinfo): Loaded enough directory info to build circuits
5/7/19, 05:28:14.211 [NOTICE] Delaying directory fetches: No running bridges
5/7/19, 05:30:08.670 [NOTICE] Closing no-longer-configured Socks listener on 127.0.0.1:9150
5/7/19, 05:30:08.670 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/7/19, 05:30:08.670 [WARN] Pluggable Transport process terminated with status code 0

comment:17 Changed 4 months ago by amiableclarity2011

Hello, today, in China, I still can't connect to Tor network through Snowflake bridge.

Below are Tor log messages.

5/8/19, 03:39:21.700 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/8/19, 03:39:21.700 [NOTICE] Opening Socks listener on 127.0.0.1:9150
5/8/19, 03:39:21.700 [NOTICE] Opened Socks listener on 127.0.0.1:9150
5/8/19, 03:39:22.716 [NOTICE] Bootstrapped 1% (conn_pt): Connecting to pluggable transport
5/8/19, 03:39:22.717 [NOTICE] Bootstrapped 2% (conn_done_pt): Connected to pluggable transport
5/8/19, 03:39:24.158 [NOTICE] Bootstrapped 10% (conn_done): Connected to a relay
5/8/19, 03:39:54.302 [WARN] Problem bootstrapping. Stuck at 10% (conn_done): Connected to a relay. (DONE; DONE; count 1; recommendation warn; host 2B280B23E1107BB62ABFC40DDCC8824814F80A72 at 0.0.3.0:1)
5/8/19, 03:39:54.303 [WARN] 1 connections have failed:
5/8/19, 03:39:54.304 [WARN] 1 connections died in state handshaking (TLS) with SSL state SSLv2/v3 read server hello A in HANDSHAKE
5/8/19, 03:39:54.346 [NOTICE] Closing no-longer-configured Socks listener on 127.0.0.1:9150
5/8/19, 03:39:54.346 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/8/19, 03:39:54.346 [NOTICE] Delaying directory fetches: DisableNetwork is set.
5/8/19, 03:39:54.348 [WARN] Pluggable Transport process terminated with status code 0

comment:18 Changed 4 months ago by dcf

Status: acceptedneeds_information

amiableclarity2011, you wrote that on April 17th, Tor Browser could connect through a Snowflake bridge. Please tell us more about this. On April 17th, were you connected for a long time without problems? More than one hour, or was it only for a short time?

I am asking because Snowflake does not work very well yet, and there are problems that make it unreliable, like the bug #25429. It could seem like blocking. What difference did you see between April 17th and May 1st?

comment:19 Changed 4 months ago by amiableclarity2011

On this April 17th, I only ran Tor browser for a short time. I don't know whether I was able to connect to Tor network through Snowflake bridge for a long time on this April 17th or not. On this May 1st, I can't connect to Tor network through Snowflake bridge.
Today in China, Tor browser 8.5a12 version still can't connect to Tor network through Snowflake bridge.

Below are Tor log messages.

5/9/19, 03:41:11.103 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/9/19, 03:41:11.103 [NOTICE] Switching to guard context "bridges" (was using "default")
5/9/19, 03:41:11.103 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/9/19, 03:41:11.104 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/9/19, 03:41:11.104 [NOTICE] Opening Socks listener on 127.0.0.1:9150
5/9/19, 03:41:11.104 [NOTICE] Opened Socks listener on 127.0.0.1:9150
5/9/19, 03:41:11.104 [NOTICE] Renaming old configuration file to "/home/scientist/tor-browser-linux64-8.5a12_en-US.tar.xz 2019 5 9/tor-browser_en-US/Browser/TorBrowser/Data/Tor/torrc.orig.1"
5/9/19, 03:41:12.560 [NOTICE] Bootstrapped 1% (conn_pt): Connecting to pluggable transport
5/9/19, 03:41:12.570 [NOTICE] Bootstrapped 2% (conn_done_pt): Connected to pluggable transport
5/9/19, 03:41:54.183 [NOTICE] Bootstrapped 10% (conn_done): Connected to a relay
5/9/19, 03:42:24.236 [WARN] Problem bootstrapping. Stuck at 10% (conn_done): Connected to a relay. (DONE; DONE; count 1; recommendation warn; host 2B280B23E1107BB62ABFC40DDCC8824814F80A72 at 0.0.3.0:1)
5/9/19, 03:42:24.237 [WARN] 1 connections have failed:
5/9/19, 03:42:24.237 [WARN] 1 connections died in state handshaking (TLS) with SSL state SSLv2/v3 read server hello A in HANDSHAKE
5/9/19, 03:42:24.256 [NOTICE] Closing no-longer-configured Socks listener on 127.0.0.1:9150
5/9/19, 03:42:24.256 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/9/19, 03:42:24.256 [WARN] Pluggable Transport process terminated with status code 0

comment:20 Changed 3 months ago by amiableclarity2011

Currently, in China, I still can't connect to Tor network through snowflake bridge.

Below are Tor log messages.

5/12/19, 16:12:33.963 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/12/19, 16:12:44.182 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/12/19, 16:12:44.182 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/12/19, 16:12:44.182 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/12/19, 16:12:44.183 [NOTICE] Opening Socks listener on 127.0.0.1:9150
5/12/19, 16:12:44.183 [NOTICE] Opened Socks listener on 127.0.0.1:9150
5/12/19, 16:12:44.909 [NOTICE] Bootstrapped 1% (conn_pt): Connecting to pluggable transport
5/12/19, 16:12:44.910 [NOTICE] Bootstrapped 2% (conn_done_pt): Connected to pluggable transport
5/12/19, 16:12:48.000 [NOTICE] Bootstrapped 10% (conn_done): Connected to a relay
5/12/19, 16:12:49.614 [NOTICE] Bootstrapped 14% (handshake): Handshaking with a relay
5/12/19, 16:12:49.917 [NOTICE] Bootstrapped 15% (handshake_done): Handshake with a relay done
5/12/19, 16:12:49.918 [NOTICE] Bootstrapped 20% (onehop_create): Establishing an encrypted directory connection
5/12/19, 16:12:50.225 [NOTICE] Bootstrapped 25% (requesting_status): Asking for networkstatus consensus
5/12/19, 16:12:50.534 [NOTICE] Bootstrapped 30% (loading_status): Loading networkstatus consensus
5/12/19, 16:12:51.177 [NOTICE] Delaying directory fetches: No running bridges
5/12/19, 16:12:51.442 [NOTICE] new bridge descriptor 'flakey' (fresh): $2B280B23E1107BB62ABFC40DDCC8824814F80A72~flakey at 0.0.3.0
5/12/19, 16:12:54.564 [NOTICE] I learned some more directory information, but not enough to build a circuit: We have no usable consensus.
5/12/19, 16:12:54.868 [NOTICE] Bootstrapped 40% (loading_keys): Loading authority key certs
5/12/19, 16:12:55.595 [NOTICE] The current consensus has no exit nodes. Tor can only build internal paths, such as paths to onion services.
5/12/19, 16:12:55.595 [NOTICE] Bootstrapped 45% (requesting_descriptors): Asking for relay descriptors
5/12/19, 16:12:55.596 [NOTICE] I learned some more directory information, but not enough to build a circuit: We need more microdescriptors: we have 0/6689, and can only build 0% of likely paths. (We have 100% of guards bw, 0% of midpoint bw, and 0% of end bw (no exits in consensus, using mid) = 0% of path bw.)
5/12/19, 16:12:55.935 [NOTICE] Bootstrapped 50% (loading_descriptors): Loading relay descriptors
5/12/19, 16:12:58.730 [NOTICE] The current consensus contains exit nodes. Tor can build exit and internal paths.
5/12/19, 16:13:40.196 [WARN] parse error: Malformed object: missing object end line
5/12/19, 16:13:40.196 [WARN] Unparseable microdescriptor
5/12/19, 16:13:40.196 [WARN] Bogus ntor-onion-key in microdesc
5/12/19, 16:13:40.196 [WARN] Bogus ed25519 key in microdesc
5/12/19, 16:13:40.197 [WARN] parse error: Malformed object: missing object end line
5/12/19, 16:13:40.197 [WARN] Unparseable microdescriptor
5/12/19, 16:13:40.197 [WARN] parse error: Malformed object: missing object end line
5/12/19, 16:13:40.197 [WARN] Unparseable microdescriptor
5/12/19, 16:13:40.198 [WARN] parse error: Malformed object: missing object end line
5/12/19, 16:13:40.198 [WARN] Unparseable microdescriptor
5/12/19, 16:13:40.198 [WARN] parse error: Malformed object: missing object end line
5/12/19, 16:13:40.198 [WARN] Unparseable microdescriptor
5/12/19, 16:13:40.198 [WARN] parse error: Malformed object: missing object end line
5/12/19, 16:13:40.198 [WARN] Unparseable microdescriptor
5/12/19, 16:13:40.198 [NOTICE] Bootstrapped 55% (loading_descriptors): Loading relay descriptors
5/12/19, 16:13:40.198 [WARN] Bogus ntor-onion-key in microdesc
5/12/19, 16:13:40.199 [WARN] Bad element "$08F1E380B2811D795A8B024E7FE21008AB" while parsing a node family.
5/12/19, 16:14:18.534 [WARN] Problem bootstrapping. Stuck at 56% (loading_descriptors): Loading relay descriptors. (DONE; DONE; count 1; recommendation warn; host 2B280B23E1107BB62ABFC40DDCC8824814F80A72 at 0.0.3.0:1)
5/12/19, 16:14:18.534 [WARN] 1 connections have failed:
5/12/19, 16:14:18.535 [WARN] 1 connections died in state handshaking (TLS) with SSL state SSLv2/v3 read server hello A in HANDSHAKE
5/12/19, 16:14:18.547 [NOTICE] Closing no-longer-configured Socks listener on 127.0.0.1:9150
5/12/19, 16:14:18.547 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/12/19, 16:14:18.547 [NOTICE] Delaying directory fetches: DisableNetwork is set.
5/12/19, 16:14:18.548 [WARN] Pluggable Transport process terminated with status code 0

comment:21 Changed 3 months ago by cohosh

Looks like something else is going wrong here.

Have you been able to connect at all for any amount of time in the last few days?

comment:22 Changed 3 months ago by cohosh

Okay it might be that Tor Browser has gotten into a weird state.

Can you try moving your Tor Browser folder somewhere else and installing it fresh to see if you still have the same issues?

comment:23 in reply to:  22 Changed 3 months ago by arma

Replying to cohosh:

Can you try moving your Tor Browser folder somewhere else

(Moving it somewhere else, rather than just deleting it, means you will still have it in case we want to debug what went wrong with it.)

comment:24 Changed 3 months ago by amiableclarity2011

Hello, I delete the Tor browser folder and unzip the tar.xz file again. At first I can connect to Tor network through snowflake bridge. But after about 30 minutes I can't open any webpage in Tor browser. Currently, in China I can't connect to Tor netowrk through snowflake bridge. Maybe China's firewall can recognize the characteristic of the traffic which flows to snowflake proxies and automatically block the Snowflake proxies that I use.

Below are Tor log messages.

5/13/19, 04:21:04.700 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/13/19, 04:21:04.710 [NOTICE] Opening Socks listener on 127.0.0.1:9150
5/13/19, 04:21:04.710 [NOTICE] Opened Socks listener on 127.0.0.1:9150
5/13/19, 04:21:05.100 [NOTICE] Bootstrapped 1% (conn_pt): Connecting to pluggable transport
5/13/19, 04:21:05.200 [NOTICE] Bootstrapped 2% (conn_done_pt): Connected to pluggable transport
5/13/19, 04:21:47.712 [NOTICE] Bootstrapped 10% (conn_done): Connected to a relay
5/13/19, 04:22:17.748 [WARN] Problem bootstrapping. Stuck at 10% (conn_done): Connected to a relay. (DONE; DONE; count 1; recommendation warn; host 2B280B23E1107BB62ABFC40DDCC8824814F80A72 at 0.0.3.0:1)
5/13/19, 04:22:17.748 [WARN] 1 connections have failed:
5/13/19, 04:22:17.749 [WARN] 1 connections died in state handshaking (TLS) with SSL state SSLv2/v3 read server hello A in HANDSHAKE
5/13/19, 04:22:17.759 [NOTICE] Closing no-longer-configured Socks listener on 127.0.0.1:9150
5/13/19, 04:22:17.759 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/13/19, 04:22:17.759 [NOTICE] Delaying directory fetches: DisableNetwork is set.
5/13/19, 04:22:17.759 [WARN] Pluggable Transport process terminated with status code 0

comment:25 Changed 3 months ago by amiableclarity2011

Today, in China, I still can't connect to Tor network through snowflake bridge.
Below are Tor log messages.

5/14/19, 05:15:54.132 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/14/19, 05:15:54.132 [NOTICE] Opening Socks listener on 127.0.0.1:9150
5/14/19, 05:15:54.132 [NOTICE] Opened Socks listener on 127.0.0.1:9150
5/14/19, 05:15:54.942 [NOTICE] Bootstrapped 1% (conn_pt): Connecting to pluggable transport
5/14/19, 05:15:54.943 [NOTICE] Bootstrapped 2% (conn_done_pt): Connected to pluggable transport
5/14/19, 05:16:37.541 [NOTICE] Bootstrapped 10% (conn_done): Connected to a relay
5/14/19, 05:17:07.600 [WARN] Problem bootstrapping. Stuck at 10% (conn_done): Connected to a relay. (DONE; DONE; count 1; recommendation warn; host 2B280B23E1107BB62ABFC40DDCC8824814F80A72 at 0.0.3.0:1)
5/14/19, 05:17:07.600 [WARN] 1 connections have failed:
5/14/19, 05:17:07.601 [WARN] 1 connections died in state handshaking (TLS) with SSL state SSLv2/v3 read server hello A in HANDSHAKE
5/14/19, 05:17:07.622 [NOTICE] Closing no-longer-configured Socks listener on 127.0.0.1:9150
5/14/19, 05:17:07.622 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/14/19, 05:17:07.622 [NOTICE] Delaying directory fetches: DisableNetwork is set.
5/14/19, 05:17:07.622 [WARN] Pluggable Transport process terminated with status code 0

comment:26 Changed 3 months ago by amiableclarity2011

Today, in China, at first I can connect to Tor network through snowflake bridge. But after about 40 minutes or 50 minutes, I can't open any webpage in Tor browser. Currently, I can't connect to Tor network through snowflake bridge. It seems that China's firewall can automatically detect the snowflake proxies and automatically block the snowflake proxies that I use.

Below are the Tor log messages.

5/15/19, 10:45:56.392 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/15/19, 10:45:56.392 [NOTICE] Opening Socks listener on 127.0.0.1:9150
5/15/19, 10:45:56.392 [NOTICE] Opened Socks listener on 127.0.0.1:9150
5/15/19, 10:45:57.331 [NOTICE] Bootstrapped 1% (conn_pt): Connecting to pluggable transport
5/15/19, 10:45:57.332 [NOTICE] Bootstrapped 2% (conn_done_pt): Connected to pluggable transport
5/15/19, 10:46:00.237 [NOTICE] Bootstrapped 10% (conn_done): Connected to a relay
5/15/19, 10:46:30.266 [WARN] Problem bootstrapping. Stuck at 10% (conn_done): Connected to a relay. (DONE; DONE; count 1; recommendation warn; host 2B280B23E1107BB62ABFC40DDCC8824814F80A72 at 0.0.3.0:1)
5/15/19, 10:46:30.267 [WARN] 1 connections have failed:
5/15/19, 10:46:30.268 [WARN] 1 connections died in state handshaking (TLS) with SSL state SSLv2/v3 read server hello A in HANDSHAKE
5/15/19, 10:46:30.305 [NOTICE] Closing no-longer-configured Socks listener on 127.0.0.1:9150
5/15/19, 10:46:30.305 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/15/19, 10:46:30.305 [NOTICE] Delaying directory fetches: DisableNetwork is set.
5/15/19, 10:46:30.306 [WARN] Pluggable Transport process terminated with status code 0

comment:27 Changed 3 months ago by amiableclarity2011

A moment ago, in China, I can establish a Tor circuit through Snowflake bridge. But there is a warning in the Tor log messages.

Below are Tor log messages.

5/15/19, 15:55:21.426 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/15/19, 15:55:32.914 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/15/19, 15:55:32.914 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/15/19, 15:55:32.915 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/15/19, 15:55:32.915 [NOTICE] Opening Socks listener on 127.0.0.1:9150
5/15/19, 15:55:32.915 [NOTICE] Opened Socks listener on 127.0.0.1:9150
5/15/19, 15:55:33.381 [NOTICE] Bootstrapped 1% (conn_pt): Connecting to pluggable transport
5/15/19, 15:55:33.384 [NOTICE] Bootstrapped 2% (conn_done_pt): Connected to pluggable transport
5/15/19, 15:55:36.540 [NOTICE] Bootstrapped 10% (conn_done): Connected to a relay
5/15/19, 15:55:37.707 [NOTICE] Bootstrapped 14% (handshake): Handshaking with a relay
5/15/19, 15:55:38.290 [NOTICE] Bootstrapped 15% (handshake_done): Handshake with a relay done
5/15/19, 15:55:38.290 [NOTICE] Bootstrapped 75% (enough_dirinfo): Loaded enough directory info to build circuits
5/15/19, 15:55:38.300 [NOTICE] Bootstrapped 95% (circuit_create): Establishing a Tor circuit
5/15/19, 15:55:40.969 [NOTICE] new bridge descriptor 'flakey' (fresh): $2B280B23E1107BB62ABFC40DDCC8824814F80A72~flakey at 0.0.3.0
5/15/19, 15:55:50.471 [NOTICE] Guard $2B280B23E1107BB62ABFC40DDCC8824814F80A72 ($2B280B23E1107BB62ABFC40DDCC8824814F80A72) is failing more circuits than usual. Most likely this means the Tor network is overloaded. Success counts are 144/287. Use counts are 62/68. 279 circuits completed, 0 were unusable, 134 collapsed, and 10 timed out. For reference, your timeout cutoff is 60 seconds.
5/15/19, 15:55:50.475 [WARN] Guard $2B280B23E1107BB62ABFC40DDCC8824814F80A72 ($2B280B23E1107BB62ABFC40DDCC8824814F80A72) is failing a very large amount of circuits. Most likely this means the Tor network is overloaded, but it could also mean an attack against you or potentially the guard itself. Success counts are 144/289. Use counts are 62/68. 279 circuits completed, 0 were unusable, 134 collapsed, and 10 timed out. For reference, your timeout cutoff is 60 seconds.

comment:28 in reply to:  27 Changed 3 months ago by cohosh

Replying to amiableclarity2011:

A moment ago, in China, I can establish a Tor circuit through Snowflake bridge. But there is a warning in the Tor log messages.

Below are Tor log messages.

5/15/19, 15:55:40.969 [NOTICE] new bridge descriptor 'flakey' (fresh): $2B280B23E1107BB62ABFC40DDCC8824814F80A72~flakey at 0.0.3.0
5/15/19, 15:55:50.471 [NOTICE] Guard $2B280B23E1107BB62ABFC40DDCC8824814F80A72 ($2B280B23E1107BB62ABFC40DDCC8824814F80A72) is failing more circuits than usual. Most likely this means the Tor network is overloaded. Success counts are 144/287. Use counts are 62/68. 279 circuits completed, 0 were unusable, 134 collapsed, and 10 timed out. For reference, your timeout cutoff is 60 seconds.
5/15/19, 15:55:50.475 [WARN] Guard $2B280B23E1107BB62ABFC40DDCC8824814F80A72 ($2B280B23E1107BB62ABFC40DDCC8824814F80A72) is failing a very large amount of circuits. Most likely this means the Tor network is overloaded, but it could also mean an attack against you or potentially the guard itself. Success counts are 144/289. Use counts are 62/68. 279 circuits completed, 0 were unusable, 134 collapsed, and 10 timed out. For reference, your timeout cutoff is 60 seconds.

I'm glad you're able to connect :)

There's no need to worry about this warning at the moment. We believe it occurs because of the frequent blocking or unreliability of snowflake proxies.

comment:29 Changed 3 months ago by amiableclarity2011

Today, currently, in China, I can't connect to the Tor network through snowflake bridge.

Below are Tor log messages.

5/16/19, 03:13:39.510 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/16/19, 03:13:45.446 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/16/19, 03:13:45.446 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/16/19, 03:13:45.446 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/16/19, 03:13:45.446 [NOTICE] Opening Socks listener on 127.0.0.1:9150
5/16/19, 03:13:45.446 [NOTICE] Opened Socks listener on 127.0.0.1:9150
5/16/19, 03:13:45.913 [NOTICE] Bootstrapped 1% (conn_pt): Connecting to pluggable transport
5/16/19, 03:13:45.915 [NOTICE] Bootstrapped 2% (conn_done_pt): Connected to pluggable transport
5/16/19, 03:14:28.280 [NOTICE] Bootstrapped 10% (conn_done): Connected to a relay
5/16/19, 03:14:58.324 [WARN] Problem bootstrapping. Stuck at 10% (conn_done): Connected to a relay. (DONE; DONE; count 1; recommendation warn; host 2B280B23E1107BB62ABFC40DDCC8824814F80A72 at 0.0.3.0:1)
5/16/19, 03:14:58.325 [WARN] 1 connections have failed:
5/16/19, 03:14:58.325 [WARN] 1 connections died in state handshaking (TLS) with SSL state SSLv2/v3 read server hello A in HANDSHAKE
5/16/19, 03:14:58.353 [NOTICE] Closing no-longer-configured Socks listener on 127.0.0.1:9150
5/16/19, 03:14:58.353 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/16/19, 03:14:58.353 [NOTICE] Delaying directory fetches: DisableNetwork is set.
5/16/19, 03:14:58.353 [WARN] Pluggable Transport process terminated with status code 0

comment:30 Changed 3 months ago by amiableclarity2011

Today, in China, I still can't connect to Tor network through snowflake bridge.

By the way, which meaning of the word "fail" is used in the sentence "Guard $2B280B23E1107BB62ABFC40DDCC8824814F80A72 ($2B280B23E1107BB62ABFC40DDCC8824814F80A72) is failing a very large amount of circuits". Thank you very much for your help.

Below are Tor log messages.

5/17/19, 01:06:36.830 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/17/19, 01:06:36.830 [NOTICE] Opening Socks listener on 127.0.0.1:9150
5/17/19, 01:06:36.830 [NOTICE] Opened Socks listener on 127.0.0.1:9150
5/17/19, 01:06:36.899 [NOTICE] Bootstrapped 1% (conn_pt): Connecting to pluggable transport
5/17/19, 01:06:36.900 [NOTICE] Bootstrapped 2% (conn_done_pt): Connected to pluggable transport
5/17/19, 01:07:19.499 [NOTICE] Bootstrapped 10% (conn_done): Connected to a relay
5/17/19, 01:07:49.531 [WARN] Problem bootstrapping. Stuck at 10% (conn_done): Connected to a relay. (DONE; DONE; count 1; recommendation warn; host 2B280B23E1107BB62ABFC40DDCC8824814F80A72 at 0.0.3.0:1)
5/17/19, 01:07:49.532 [WARN] 1 connections have failed:
5/17/19, 01:07:49.532 [WARN] 1 connections died in state handshaking (TLS) with SSL state SSLv2/v3 read server hello A in HANDSHAKE
5/17/19, 01:07:49.545 [NOTICE] Closing no-longer-configured Socks listener on 127.0.0.1:9150
5/17/19, 01:07:49.545 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/17/19, 01:07:49.545 [NOTICE] Delaying directory fetches: DisableNetwork is set.
5/17/19, 01:07:49.545 [WARN] Pluggable Transport process terminated with status code 0

comment:31 Changed 3 months ago by cohosh

Hi,

From our tests it looks like the initial connection to the default STUN server is being blocked. If you can modify your torrc file, please select a different STUN server as input to the snowflake client. The entry in your torrc file should look as follows:

ClientTransportPlugin snowflake exec ./client \
-url https://snowflake-broker.azureedge.net/ \
-front ajax.aspnetcdn.com \
-ice stun:stun.l.google.com:19302

The following STUN server is working for us right now:

ClientTransportPlugin snowflake exec ./client \
-url https://snowflake-broker.azureedge.net/ \
-front ajax.aspnetcdn.com \
-ice stun:stun.ekiga.net

Changed 3 months ago by amiableclarity2011

Attachment: torrc-defaults added

Changed 3 months ago by amiableclarity2011

Attachment: torrc added

Changed 3 months ago by amiableclarity2011

Attachment: state added

comment:32 Changed 3 months ago by amiableclarity2011

Today I download 9.0a1 version Tor Browser. I modify the torrc-defaults file. But I still can't connect to Tor network through snowflake bridge.

Below are Tor log messages.

5/25/19, 10:08:06.390 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/25/19, 10:08:06.390 [NOTICE] Switching to guard context "bridges" (was using "default")
5/25/19, 10:08:06.390 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/25/19, 10:08:06.390 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/25/19, 10:08:06.390 [NOTICE] Opening Socks listener on 127.0.0.1:9150
5/25/19, 10:08:06.390 [NOTICE] Opened Socks listener on 127.0.0.1:9150
5/25/19, 10:08:06.390 [NOTICE] Renaming old configuration file to "/home/scientist/tor-browser-linux64-9.0a1_en-US.tar.xz 2019 5 25/tor-browser_en-US/Browser/TorBrowser/Data/Tor/torrc.orig.1"
5/25/19, 10:08:07.363 [NOTICE] Bootstrapped 1% (conn_pt): Connecting to pluggable transport
5/25/19, 10:08:07.365 [NOTICE] Bootstrapped 2% (conn_done_pt): Connected to pluggable transport
5/25/19, 10:08:09.876 [NOTICE] Bootstrapped 10% (conn_done): Connected to a relay
5/25/19, 10:08:39.984 [WARN] Problem bootstrapping. Stuck at 10% (conn_done): Connected to a relay. (DONE; DONE; count 1; recommendation warn; host 2B280B23E1107BB62ABFC40DDCC8824814F80A72 at 0.0.3.0:1)
5/25/19, 10:08:39.985 [WARN] 1 connections have failed:
5/25/19, 10:08:39.986 [WARN] 1 connections died in state handshaking (TLS) with SSL state SSLv2/v3 read server hello A in HANDSHAKE
5/25/19, 10:08:40.190 [NOTICE] Closing no-longer-configured Socks listener on 127.0.0.1:9150
5/25/19, 10:08:40.190 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
5/25/19, 10:08:40.190 [WARN] Pluggable Transport process terminated with status code 0

I upload my torrc-defaults file, my torrc file and my state file.

comment:33 Changed 3 months ago by amiableclarity2011

Thank you so much for your help.

comment:34 Changed 3 weeks ago by pili

Parent ID: #31282
Sponsor: Sponsor30-can

Changed 41 hours ago by amiableclarity2011

Attachment: torrc-defaults.2 added

Changed 41 hours ago by amiableclarity2011

Attachment: torrc.2 added

Changed 41 hours ago by amiableclarity2011

Attachment: state.2 added

comment:35 Changed 41 hours ago by amiableclarity2011

Hello, currently 9.0a4 version Tor Browser can't connect to Tor network in China through snowflake bridge.

Below are Tor log messages.

8/22/19, 06:23:35.690 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
8/22/19, 06:23:35.691 [NOTICE] Opening Socks listener on 127.0.0.1:9150
8/22/19, 06:23:35.691 [NOTICE] Opened Socks listener on 127.0.0.1:9150
8/22/19, 06:23:36.633 [NOTICE] Bootstrapped 1% (conn_pt): Connecting to pluggable transport
8/22/19, 06:23:36.633 [NOTICE] Bootstrapped 2% (conn_done_pt): Connected to pluggable transport
8/22/19, 06:23:37.187 [NOTICE] Closing no-longer-configured Socks listener on 127.0.0.1:9150
8/22/19, 06:23:37.187 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
8/22/19, 06:23:37.187 [NOTICE] Delaying directory fetches: DisableNetwork is set.
8/22/19, 06:23:37.187 [WARN] Pluggable Transport process terminated with status code 512
8/22/19, 06:23:47.350 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
8/22/19, 06:23:47.350 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
8/22/19, 06:23:47.350 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
8/22/19, 06:23:47.350 [NOTICE] Opening Socks listener on 127.0.0.1:9150
8/22/19, 06:23:47.350 [NOTICE] Opened Socks listener on 127.0.0.1:9150
8/22/19, 06:23:48.818 [NOTICE] Bootstrapped 10% (conn_done): Connected to a relay
8/22/19, 06:24:18.858 [WARN] Problem bootstrapping. Stuck at 10% (conn_done): Connected to a relay. (DONE; DONE; count 1; recommendation warn; host 2B280B23E1107BB62ABFC40DDCC8824814F80A72 at 0.0.3.0:1)
8/22/19, 06:24:18.858 [WARN] 2 connections have failed:
8/22/19, 06:24:18.858 [WARN] 1 connections died in state handshaking (TLS) with SSL state SSLv3/TLS write client hello in HANDSHAKE
8/22/19, 06:24:18.858 [WARN] 1 connections died in state handshaking (proxy) with SSL state (No SSL object)
8/22/19, 06:24:18.869 [NOTICE] Closing no-longer-configured Socks listener on 127.0.0.1:9150
8/22/19, 06:24:18.870 [NOTICE] DisableNetwork is set. Tor will not make or accept non-control network connections. Shutting down all existing connections.
8/22/19, 06:24:18.870 [WARN] Pluggable Transport process terminated with status code 0

I upload my torrc-defaults file and my torrc file and my state file.

Thank you very much for your help.

Note: See TracTickets for help on using tickets.